summaryrefslogtreecommitdiff
path: root/.local
diff options
context:
space:
mode:
Diffstat (limited to '.local')
-rwxr-xr-x.local/bin/statusbar/sb-forecast48
-rwxr-xr-x.local/bin/statusbar/sb-packages (renamed from .local/bin/updates)2
2 files changed, 49 insertions, 1 deletions
diff --git a/.local/bin/statusbar/sb-forecast b/.local/bin/statusbar/sb-forecast
new file mode 100755
index 0000000..ec3e590
--- /dev/null
+++ b/.local/bin/statusbar/sb-forecast
@@ -0,0 +1,48 @@
+#!/bin/bash
+
+LOCATION=$(<$XDG_CONFIG_HOME/forecast/location)
+
+main () {
+ case "$1" in
+ -b|--browser)
+ xdg-open https://wttr.in/$LOCATION
+ exit 0 ;;
+ esac
+
+ res=$(curl -sf wttr.in/$LOCATION?format="%x+%t") || exit 1
+ arr=($res)
+
+ icon=$(condition_icon ${arr[0]})
+ temp=$(temperature ${arr[1]})
+ echo $icon $temp
+}
+
+condition_icon () {
+ case "$1" in
+ 'mm') echo  ;;
+ '=') echo  ;;
+ '///') echo  ;;
+ '//') echo  ;;
+ '**') echo  ;;
+ '*/*') echo  ;;
+ '/') echo  ;;
+ '.') echo  ;;
+ 'x') echo  ;;
+ 'x/') echo  ;;
+ '*') echo  ;;
+ '*/') echo  ;;
+ 'm') echo  ;;
+ 'o') echo  ;;
+ '/!/') echo  ;;
+ '!/') echo  ;;
+ '*!*') echo  ;;
+ 'mmm') echo  ;;
+ *) echo ? ;;
+ esac
+}
+
+temperature () {
+ echo $1 | sed 's/+//' | sed 's/C//'
+}
+
+main "$@"
diff --git a/.local/bin/updates b/.local/bin/statusbar/sb-packages
index 7af054a..bbdefb1 100755
--- a/.local/bin/updates
+++ b/.local/bin/statusbar/sb-packages
@@ -18,5 +18,5 @@ aur_ignored=$($HOME/.local/bin/aurignored | wc -l)
updates=$((updates_arch + updates_aur - $aur_ignored))
if [ "$updates" -gt 0 ]; then
- echo " $updates"
+ echo " $updates"
fi